Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 102732 - source code is not generated for operations
source code is not generated for operations
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: Code Generation
5.x
All All
: P1 (vote)
: TBD
Assigned To: Craig Conover
issues@uml
HOL,release55_fixes_fixed
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-27 11:23 UTC by Andrew Korostelev
Modified: 2007-05-11 15:04 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Korostelev 2007-04-27 11:23:29 UTC
reproducible in all-nbms-griffin_fixes-070426-ml
and all-nbms-griffin_fixes-070425-ml

source code is not generated for operations.

steps:
- create new java-model uml project
- create class element and name it
- add operation to class element and name
- generate code
There is not source code for operation.
Comment 1 Andrew Korostelev 2007-04-27 11:59:38 UTC
behaviour is not always clear for me.
1) Re'd operation with parameterized collection will be generated into src
2) simple RE'd operation will not be generated at the firsts attempts.
But is generated after some activity.
3) Operation created in Model, is not generated.


Comment 2 Craig Conover 2007-04-27 17:34:53 UTC
Very strange. When did that start happening?
Most likely an exception is being swallowed preventing full code gen process
completetion.
Comment 3 Craig Conover 2007-04-27 18:48:14 UTC
NPE was being thrown for constructors which stopped the code gen for the rest of
the params.
Comment 4 Andrew Korostelev 2007-04-28 10:56:46 UTC
verified in all-nbms-griffin_fixes-070427-ml


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo